/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/
#include <stdio.h>
#include <mpi.h>

int main (argc, argv)
     int argc;
     char *argv[];
{
  int rank, size; 

  MPI_Init(&argc, &argv);	            /* start MPI */
  MPI_Comm_rank(MPI_COMM_WORLD, &rank);   /* get process id */
  MPI_Comm_size(MPI_COMM_WORLD, &size);   /* get NO. of processes */
  printf("Hello world from process %d of %d\n", rank, size);
  MPI_Finalize();                         /* stop MPI */
  return 0;
}

